<!-- canonical: https://docs.costplus.io/api-reference/orders/listOrders -->

> Retrieve a collection of orders created within the specified period.
# List orders by date range

Retrieve a collection of orders created within the specified period.

## Endpoint

```
GET /orders
```

## Authentication

HTTP Basic — use your API key as the username with an empty password.

```bash
curl -u YOUR_API_KEY: https://api.costplus.online/v1/orders/
```

## Parameters

| In | Name | Type | Required | Description |
|---|---|---|---|---|
| query | `created_since` | string | yes | Start of the period (ISO 8601) |
| query | `created_until` | string | yes | End of the period (ISO 8601) |

## Responses

### 200 — A collection of orders

### 401 — Invalid or missing API key

### 403 — No authorization for the requested resource

## cURL

```bash
curl -u YOUR_API_KEY: \
  'https://api.costplus.online/v1/orders/?created_since=2026-01-01T00:00:00Z&created_until=2026-02-01T00:00:00Z'
```
